#!/usr/bin/perl

use strict;
use warnings;

sub cleanup_sequence;

my $seq1 = "ac ggTtAa";
my $seq2 = "tTcC aaA tgg";

my $clean_seq1 = cleanup_sequence $seq1;
my $clean_seq2 = cleanup_sequence $seq2, "ababababaz";

# print cleaned up sequences
print "seq1: $clean_seq1\n";
print "seq2: $clean_seq2\n";

## subroutines ##

sub cleanup_sequence {

  print "===\n";
  ## print the values of @_
  print(join("-", @_), "\n");

  ## get the sequence argument
  my $seq = shift;

  # 1) make it all lower case
  $seq = uc $seq;
  # 2) remove white space
  $seq =~ s/\s//g;
  return $seq;
}
