#!/usr/bin/perl

use strict;
use warnings;

my %outside_hash = (
  "one"         => 1,
  "two"         => 2,
  "three"       => 3
);

print_hash(%outside_hash);

## subroutines ##
sub print_hash {

  ## convert list data into a hash - automatically done by
  ## Perl (even index elements are keys, odd index are values)
  my %hash = @_;

  ## print our hash
  foreach my $key (keys %hash) {
    print "$key - $hash{$key}\n";
  }

}
